com.smartgwt.client.widgets.form.events

## Interface HasHiddenValidationErrorsHandlers

- All Superinterfaces:
    com.google.gwt.event.shared.HasHandlers
  All Known Implementing Classes:
    DynamicForm, PropertySheet, SearchForm, ValuesManager

      public interface HasHiddenValidationErrorsHandlers
      extends com.google.gwt.event.shared.HasHandlers

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.event.shared.HandlerRegistration` | `addHiddenValidationErrorsHandler(HiddenValidationErrorsHandler handler)` Method to display validation error messages for fields that are not currently visible in this form. This will be called when validation fails for - a hidden field in this form - if this form is databound, a datasource field with specified validators, for which we have no specified form item. Implement this to provide custom validation error handling for these fields. By default hidden validation errors will be logged as warnings in the developerConsole.

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Method Detail

    - #### addHiddenValidationErrorsHandler

          com.google.gwt.event.shared.HandlerRegistration addHiddenValidationErrorsHandler(HiddenValidationErrorsHandler handler)

      Method to display validation error messages for fields that are not currently visible in this form.
      This will be called when validation fails for
      - a hidden field in this form
      - if this form is databound, a datasource field with specified validators, for which we have no specified form item.
      Implement this to provide custom validation error handling for these fields.
      By default hidden validation errors will be logged as warnings in the developerConsole. Call `HiddenValidationErrorsEvent.cancel()` from within `HiddenValidationErrorsHandler.onHiddenValidationErrors(com.smartgwt.client.widgets.form.events.HiddenValidationErrorsEvent)` from this method to suppress that behavior.
      Parameters:
        `handler` - the hiddenValidationErrors handler
      Returns:
        `HandlerRegistration` used to remove this handler